_lscp_client_t Struct Reference

`#include <common.h>`

## Data Fields

lscp_client_proc_t | pfnCallback
void * | pvData
lscp_socket_agent_t | cmd
lscp_socket_agent_t | evt
lscp_event_t | events
char ** | audio_drivers
char ** | midi_drivers
int * | audio_devices
int * | midi_devices
char ** | engines
int * | channels
int * | fxsends
lscp_midi_instrument_t * | midi_instruments
int * | midi_maps
char * | midi_map_name
lscp_driver_info_t | audio_driver_info
lscp_driver_info_t | midi_driver_info
lscp_device_info_t | audio_device_info
lscp_device_info_t | midi_device_info
lscp_param_info_t | audio_param_info
lscp_param_info_t | midi_param_info
lscp_device_port_info_t | audio_channel_info
lscp_device_port_info_t | midi_port_info
lscp_param_info_t | audio_channel_param_info
lscp_param_info_t | midi_port_param_info
lscp_server_info_t | server_info
lscp_engine_info_t | engine_info
lscp_channel_info_t | channel_info
lscp_fxsend_info_t | fxsend_info
lscp_midi_instrument_info_t | midi_instrument_info
char * | pszResult
int | iErrno
lscp_buffer_fill_t * | buffer_fill
int | iStreamCount
int | iTimeout
lscp_mutex_t | mutex
lscp_cond_t | cond
int | iTimeoutCount

## Field Documentation

lscp_device_port_info_t _lscp_client_t::audio_channel_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_audio_channel_info().

lscp_param_info_t _lscp_client_t::audio_channel_param_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_audio_channel_param_info().

lscp_device_info_t _lscp_client_t::audio_device_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_audio_device_info().

int* _lscp_client_t::audio_devices

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_audio_devices().

lscp_driver_info_t _lscp_client_t::audio_driver_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_audio_driver_info().

char** _lscp_client_t::audio_drivers

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_available_audio_drivers().

lscp_param_info_t _lscp_client_t::audio_param_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_audio_driver_param_info().

lscp_buffer_fill_t* _lscp_client_t::buffer_fill

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_channel_buffer_fill().

lscp_channel_info_t _lscp_client_t::channel_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_channel_info().

int* _lscp_client_t::channels

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_channels().

lscp_socket_agent_t _lscp_client_t::cmd

Referenced by lscp_client_call(), lscp_client_create(), lscp_client_destroy(), lscp_client_join(), and lscp_client_recv().

lscp_cond_t _lscp_client_t::cond

Referenced by lscp_client_create(), and lscp_client_destroy().

lscp_engine_info_t _lscp_client_t::engine_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_engine_info().

char** _lscp_client_t::engines

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_available_engines().

lscp_event_t _lscp_client_t::events

Referenced by lscp_client_create(), lscp_client_get_events(), lscp_client_subscribe(), and lscp_client_unsubscribe().

lscp_socket_agent_t _lscp_client_t::evt

Referenced by lscp_client_create(), lscp_client_destroy(), lscp_client_recv(), and lscp_client_unsubscribe().

lscp_fxsend_info_t _lscp_client_t::fxsend_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_fxsend_info().

int* _lscp_client_t::fxsends

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_fxsends().

int _lscp_client_t::iErrno

Referenced by lscp_client_create(), lscp_client_get_errno(), and lscp_client_set_result().

int _lscp_client_t::iStreamCount

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_channel_buffer_fill().

int _lscp_client_t::iTimeout

Referenced by lscp_client_call(), lscp_client_create(), lscp_client_destroy(), lscp_client_get_timeout(), lscp_client_recv(), and lscp_client_set_timeout().

int _lscp_client_t::iTimeoutCount

Referenced by lscp_client_call(), and lscp_client_create().

lscp_device_info_t _lscp_client_t::midi_device_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_device_info().

int* _lscp_client_t::midi_devices

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_midi_devices().

lscp_driver_info_t _lscp_client_t::midi_driver_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_driver_info().

char** _lscp_client_t::midi_drivers

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_available_midi_drivers().

lscp_midi_instrument_info_t _lscp_client_t::midi_instrument_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_instrument_info().

lscp_midi_instrument_t* _lscp_client_t::midi_instruments

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_midi_instruments().

char* _lscp_client_t::midi_map_name

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_instrument_map_name().

int* _lscp_client_t::midi_maps

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_list_midi_instrument_maps().

lscp_param_info_t _lscp_client_t::midi_param_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_driver_param_info().

lscp_device_port_info_t _lscp_client_t::midi_port_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_port_info().

lscp_param_info_t _lscp_client_t::midi_port_param_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_midi_port_param_info().

lscp_mutex_t _lscp_client_t::mutex

Referenced by lscp_add_channel(), lscp_add_midi_instrument_map(), lscp_client_create(), lscp_client_destroy(), lscp_client_query(), lscp_client_subscribe(), lscp_client_unsubscribe(), lscp_create_audio_device(), lscp_create_fxsend(), lscp_create_midi_device(), lscp_get_audio_devices(), lscp_get_available_audio_drivers(), lscp_get_available_engines(), lscp_get_available_midi_drivers(), lscp_get_channel_buffer_fill(), lscp_get_channel_info(), lscp_get_channel_stream_count(), lscp_get_channel_stream_usage(), lscp_get_channel_voice_count(), lscp_get_channels(), lscp_get_engine_info(), lscp_get_fxsend_info(), lscp_get_fxsends(), lscp_get_midi_devices(), lscp_get_midi_instrument_info(), lscp_get_midi_instrument_map_name(), lscp_get_midi_instrument_maps(), lscp_get_midi_instruments(), lscp_get_server_info(), lscp_get_streams(), lscp_get_total_voice_count(), lscp_get_total_voice_count_max(), lscp_get_voices(), lscp_get_volume(), lscp_list_audio_devices(), lscp_list_available_audio_drivers(), lscp_list_available_engines(), lscp_list_available_midi_drivers(), lscp_list_channels(), lscp_list_fxsends(), lscp_list_midi_devices(), lscp_list_midi_instrument_maps(), and lscp_list_midi_instruments().

lscp_client_proc_t _lscp_client_t::pfnCallback

Referenced by lscp_client_create().

char* _lscp_client_t::pszResult

Referenced by lscp_client_create(), lscp_client_get_result(), and lscp_client_set_result().

void* _lscp_client_t::pvData

Referenced by lscp_client_create().

lscp_server_info_t _lscp_client_t::server_info

Referenced by lscp_client_create(), lscp_client_destroy(), and lscp_get_server_info().

The documentation for this struct was generated from the following file:

- common.h